org.bdgenomics.adam.projections

# AlignmentRecordField

#### object AlignmentRecordField extends FieldEnumeration

Enumeration of AlignmentRecord field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AlignmentRecordField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### val attributes: SchemaVal

14. #### val basesTrimmedFromEnd: SchemaVal

15. #### val basesTrimmedFromStart: SchemaVal

16. #### val cigar: SchemaVal

17. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### val contigName: SchemaVal

19. #### val duplicateRead: SchemaVal

20. #### val end: SchemaVal

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### val failedVendorQualityChecks: SchemaVal

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### val inferredInsertSize: SchemaVal

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### val mapq: SchemaVal

30. #### val mateAlignmentEnd: SchemaVal

31. #### val mateAlignmentStart: SchemaVal

32. #### val mateContigName: SchemaVal

33. #### val mateMapped: SchemaVal

34. #### val mateNegativeStrand: SchemaVal

35. #### final def maxId: Int

    Definition Classes
      Enumeration

36. #### val mismatchingPositions: SchemaVal

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

39. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

40. #### final def notify(): Unit

    Definition Classes
      AnyRef

41. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

42. #### val oldCigar: SchemaVal

43. #### val oldPosition: SchemaVal

44. #### val origQual: SchemaVal

45. #### val primaryAlignment: SchemaVal

46. #### val properPair: SchemaVal

47. #### val qual: SchemaVal

48. #### val readInFragment: SchemaVal

49. #### val readMapped: SchemaVal

50. #### val readName: SchemaVal

51. #### val readNegativeStrand: SchemaVal

52. #### val readPaired: SchemaVal

53. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

54. #### val recordGroupName: SchemaVal

55. #### val recordGroupSample: SchemaVal

56. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

57. #### val secondaryAlignment: SchemaVal

58. #### val sequence: SchemaVal

59. #### val start: SchemaVal

60. #### val supplementaryAlignment: SchemaVal

61. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

62. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

63. #### def values: ValueSet

    Definition Classes
      Enumeration

64. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

65. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

66. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

67. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped